module Acme.Time.Now (now) where

import Data.Time (getCurrentTime, UTCTime)
import System.IO.Unsafe (unsafePerformIO)


-- | The unchanging \"now\". If you get any errors or unexpecting results from using
--   this value, it's because your assumptions about the nature of time are wrong.
--   I have a proof of this, but the margin isn't large enough to contain it.
now :: UTCTime
now = unsafePerformIO getCurrentTime

